Subject: guix home reconfigure does not apply changes to shepherd services

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 12 Oct 2021 01:53:09 +0300

After changing a home shepherd service I tried to reconfigure with 'guix
home reconfigure'.

Process started by a service did not restart.  Assuming home shepherd is
like Guix System shepherd I tried to 'herd restart SERVICE_NAME', the
process restarted but without changes in a service definition.

To forcely apply the changes I invoked 'herd stop root' and then ran
'guix home reconfigure' again which spawned new shepherd with applied
changes.

Oleg.